/* start base */
:root {
	/* colors */
	--none-color: transparent;
	--white-color: #fff;
	--dark-color: #000;
	--text-color: #010101;
	--bg-color: #fff;
	--primary-color: #164194;
	--hover-color: #00A0FF;
}

.text-hidden {
  position: absolute;
  width: 1px;
  height: 1px;
  margin: -1px;
  border: 0;
  padding: 0;
  white-space: nowrap;
  clip-path: inset(100%);
  clip: rect(0 0 0 0);
  overflow: hidden;
}
/* end base */

/* start form */
.custom-checkbox {
	display: flex;
	flex-direction: column;
	user-select: none;
	cursor: pointer;
}

.custom-checkbox__input {
    position: absolute;
	appearance: none;
}

.custom-checkbox__input:checked + .custom-checkbox__text::after {
    opacity: 1;
}

.custom-checkbox__input:focus + .custom-checkbox__text {
    color: var(--hover-color);
}

.custom-checkbox__text {
	position: relative;
	font-size: 14px;
	padding-left: 24px;
	color: var(--text-color);
	transition: color .2s linear;
}

.custom-checkbox_white-ph .custom-checkbox__text {
	color: var(--white-color);
}

.custom-checkbox__text::before {
	content: '';
	position: absolute;
	top: 0;
	left: 0;
	border: 1px solid var(--primary-color);
	border-radius: 4px;
	width: 16px;
	height: 16px;
}

.custom-checkbox_white-ph .custom-checkbox__text::before {
	border-color: var(--white-color);
}

.custom-checkbox__text::after {
	content: '';
	position: absolute;
    top: 4px;
    left: 4px;
    border-radius: 2px;
	width: 10px;
	height: 10px;
	opacity: 0;
	background-color: var(--primary-color);
	transition: opacity .2s linear;
}

.custom-checkbox_white-ph .custom-checkbox__text::after {
	background-color: var(--white-color);
}

.custom-checkbox__link {
	display: inline;
	border-bottom: 1px solid var(--hover-color);
	color: var(--hover-color);
    text-decoration: none;
	transition: border-color .2s linear;
}
/* end form */

/* start cookies */
.cookies {
    position: fixed;
    z-index: 10000;
    right: 0;
    bottom: 15px;
    display: flex;
    justify-content: flex-end;
    padding: 0px 25px;
    max-width: max-content;
}

.cookies__content-wrap {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 20px;
    border-radius: 24px;
    padding: 20px;
    max-width: 512px;
    width: 100%;
    color: var(--white-color);
    font-size: 16px;
    background-color: var(--primary-color)
}

.cookies__text {
    margin: 0;
    padding: 0;
    color: var(--white-color);
}

.cookies__text-link {
    display: inline;
    text-decoration: underline;
    color: var(--white-color);
}

.cookies__btn-wrap {
    display: flex;
    flex-wrap: wrap;
    gap: 12px;
    width: 100%;
}

.cookies__btn {
    border-color: var(--hover-color);
    max-width: 48%;
    width: 100%;
    min-width: auto;
    background-color: var(--hover-color);
}
/* end cookies */

/* start copyright */
.copyright__container {
    display: flex;
    flex-direction: column;
    gap: 20px;
    padding: 20px 0;
}

.copyright .content {
    padding: 0;
}
/* end copyright */
/* start nav-list */
.nav-list {
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
    gap: 12px;
    margin: 0;
    padding: 0;
    list-style: none;
}

.nav-list__list-item {
    text-align: center;
}

.nav-list__list-item.active .nav-list__list-item-link {
    font-weight: 700;
    color: var(--hover-color);
}

.nav-list__list-item-link {
    font-size: 14px;
    color: var(--white-color);
    transition: color .2s linear;
}

.home-page .nav-list__list-item-link {
    color: var(--primary-color);
}
/* end nav-list */

/* start phone */
@media (max-width: 767px) {
    /* start cookies */
    .cookies {
        padding: 0px 10px;
    }
    
    .cookies__content-wrap {
      flex-direction: column;
      align-items: flex-start;
      gap: 10px;
      padding: 10px;
      font-size: 14px;
    }
    
    .cookies__btn {
        max-width: 100%;
        width: 100%;
    }
    /* end cookies */
    
    /* start nav-list */
    .nav-list {
        justify-content: center;
        flex-direction: column;
    }
    /* end nav-list */
}

@media (hover:hover) {
    .nav-list__list-item-link:hover {
        color: var(--hover-color);
    }
    
    .cookies__text-link:hover {
        text-decoration: none;
    }
    
    .cookies__btn:hover {
        border-color: var(--hover-color);
        color: var(--hover-color);
        background-color: var(--none-color);
    }
        
    .custom-checkbox__link:hover {
		border-color: var(--none-color);
    }
}